]> arthur.barton.de Git - bup.git/blobdiff - cmd/drecurse-cmd.py
Configure python, use it, and embed during install
[bup.git] / cmd / drecurse-cmd.py
index cdf66803034bd0f429a869ea75b94ba06f29e25a..611bfdbb3e89bdc3d93d9900fc3b38fc5cb6343d 100755 (executable)
@@ -1,4 +1,9 @@
-#!/usr/bin/env python
+#!/bin/sh
+"""": # -*-python-*-
+bup_python="$(dirname "$0")/bup-python" || exit $?
+exec "$bup_python" "$0" ${1+"$@"}
+"""
+# end of bup preamble
 
 from os.path import relpath
 from bup import options, drecurse